<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dashboard extends CI_Controller {
	public function __construct(){
		 parent::__construct();		
		$this->load->model("admin/model");
		
		if(!admin()){
			redirect(base_url().'admin/login');
		}
		
	}
	public function index(){
		$data['title']="Dashboard";
		$data['active']="dashboard";
		$data['controller']="dashboard";
		$students = $this->model->getData('students');
		$training = $this->model->getData('training');
		$data['training']=count($training);
		$data['students']=count($students);
		generateView('index',$data);
	}
	public function home($page="index"){
		$_GET=escapeArray($this->input->get());
		$formData=escapeArray($this->input->post());
		$data['controller']="dashboard";
		switch($page){
			case "index":
				$data['title']="Dashboard";
				$data['active']="dashboard";
				$data['categories_count']=count($this->model->getData("students"));
				$students = $this->model->getData('students');
				$training = $this->model->getData('training');
				$data['training']=count($training);
				$data['students']=count($students);
				generatePageView('index',$data);
				break;
		}
	}
		
	
	
	public function profile(){
		$data['title']="Profile Setting";
		$data['controller']="dashboard";
		$formData=escapeArray($this->input->post());
		if(isset($formData['submit'])){
			unset($formData['submit']);
			 $upload_path="resources/admin";
			$res2=uploadFile($upload_path,"fileToUpload");
			if(isset($res2['file_name'])){
				$formData['image'] =  $res2['file_name'];
				$res['return']=true;
			}
			else{
				$res['fileError'] =  "<div class='alert alert-danger'>".$res2."</div>";
				$res['return']=false;
			}
			
			if($this->model->updateData("admin",$this->session->userdata('adminId'),$formData)){
				$res['msg']="Your Profile has been updated successfully.";
				$res['return']=true;
				
			}
			else{
				$res['msg']="Your Profile has not been updated successfully.";
				$res['return']=false;
				
			}
			echo json_encode($res);
			die;
		}
		
		$data['edit']=(array)$this->model->getById("admin",$this->session->userdata('adminId'));
		generatePageView("profile",$data);
	}
	public function changePassword(){
		
		$data['title']="Change Password";
		$data['controller']="dashboard";
		$formData=escapeArray($this->input->post());
		if(isset($formData['submit'])){
			unset($formData['submit']);
			$hash=$this->model->getById("admin",$this->session->userdata('adminId'));
			if(!empty($hash)){
				if(password_verify($formData['oldPassword'],$hash->password)){
					if($formData['password']==$formData['cpassword']){
						if($this->model->updateData("admin",$this->session->userdata('adminId'),array("password"=>password_hash($formData['password'],PASSWORD_DEFAULT)))){
							$data['msg']="Your Password is updated successfully.";
							$data['return']=true;
						}
					}
					else{
						$data['msg']="Your New password does not match.";
						$data['return']=false;
					}
				}
				else{
					$data['msg']="Your Old Password is wrong.";
					$data['return']=false;
					
				}
			}
			else{
				$data['msg']="<div class='alert alert-danger'>Wrong Username or Email.</div>";
				$data['return']=false;
					
			}
			echo json_encode($data);
			die;
		}
		generatePageView('changePassword',$data);
	}
	public function students($action="view",$id=""){
		// $arguments=func_get_args();
		// print_r($arguments);
		// die;
		$data['controller']="dashboard";
		$formData=escapeArray($this->input->post());
		$data['active']="students";
		switch($action){
			case "view":
				$coloumns=array(
					// "ID",
					"Date",
					"Name",
					"Email",
					"Password",
					"School",
					"Actions",
				);
				$data['id']=$id;
				$data['title']="Students";
				$data['coloumns']=$coloumns;
				generatePageView('listview',$data);
				break;
			case "ajax":
			
			$coloumns=array(
				"id",
				"addedOn",
				"name",
				"email",
				"password",
				"school",
			);
			$fields=implode(",",$coloumns);
			$sql="select $fields from students where 1=1 ";
			if($id!==""){
			$sql.=" and id=$id";	
			}
			// die($sql);
				$sql2=getRecords($sql,$formData,$coloumns);
				$results=$this->db->query($sql2['sql'])->result();
				$values=array();
				foreach($results as &$key){
					$id=$key->id;
					unset($key->id);
					$key->addedOn=cdate($key->addedOn);
					$key->password=decrypt($key->password);
					$value=array_values((array)$key);
					// print_r($key);die;
					array_push($value,addActions("students",$id));
					$values[]=$value;
				}
				$output = array(
					"draw" => $formData['draw'],
					"recordsTotal" => $this->db->query("$sql")->num_rows(),
					"recordsFiltered" => $sql2['countFiltered'],
					"data" => isset($values)?$values:array(),
				);
				echo json_encode($output);
				break;
			case "add":
				$data['title']="Add Student";
				if(isset($formData['submit'])){
					unset($formData['submit']);
					// print_r($formData);
					$s = substr(str_shuffle(str_repeat("0123456789abcdefghijklmnopqrstuvwxyz@!_#$%&", 5)), 0, 5);
					// echo $s;
					// die;
					$p=$formData['password'];
					if(validateData("students",$formData,$id)){
						$password=encrypt($p);
						$formData['password']=$password;
						if($this->model->addData("students",$formData)){
							$student_id= $this->db->insert_id();
							$level_arr =array(
								array(
									'student_id'=>$student_id,
									'training_id'=>1,
									'status'=>1
								),
								array(
									'student_id'=>$student_id,
									'training_id'=>2,
									'status'=>1
								),
								array(
									'student_id'=>$student_id,
									'training_id'=>3,
									'status'=>1.1
								),
								array(
									'student_id'=>$student_id,
									'training_id'=>4,
									'status'=>1.1
								),
							);
							
							$content='<html>';
							$content.='<body>';
							$content.='<p>Greetings Mr: '.$formData['name'].'</p>';
							$content.='<p>Congragulations, Your account has been opened succesfully. you can use following credentials to access your ASMD Trainer Dashboard. <a target="_blanck" href="'.base_url().'">Visit here</a> to signin to your ASMD Trainer </p>';
							$content.='<p>Email: '.$formData['email'].'</p><br>';
							$content.='<p>Password: '.$p.'</p><br>';
							$content.='</body>';
							$content.='</html>';
							$this->db->insert_batch('level',$level_arr);
							if(sendEmail($formData['email'],$content,'Account Creation')){
								$data['msg']="Student is added and Email sent! successfully";
								$data['return']=true;
							}else{
								$data['msg']="Student is added! successfully. but Email is not sent";
								$data['return']=true;
							}
							
						}
						else{
							$data['msg']="Student is not added successfully.";
							$data['return']=false;
						}
					}else{
						$data['msg']="Email or Roll# Already exist!";
							$data['return']=false;
					}
					echo json_encode($data);
					die;
				}
				generatePageView('addstudents',$data);
				break;
			case "edit":
				$data['title']="Update Student";
				if(isset($formData['submit'])){
					unset($formData['submit']);
					if(validateData("students",$formData,$id)){
						$formData['password']=encrypt($formData['password']);
						if($this->model->updateData("students",$id,$formData)){
							$data['msg']="Student is updated successfully.";
							$data['return']=true;
						}
						else{
							$data['msg']="Student is not updated successfully.";
							$data['return']=false;
						}
					}
					else{
							$data['msg']="Student is not updated successfully.";
							$data['return']=false;
						
							$data['edit']=$formData;
					}
					echo json_encode($data);
					die;
				}
				
				$data['edit']=(array)$this->model->getById("students",$id);
				generatePageView('addstudents',$data);
				break;
			case "delete":
					if($this->model->deleteData("students",$id)){
						$msg['success']="Student is deleted! successfully.";
					}
					else{
						$msg['error']="Student is deleted! successfully";
					}
				echo json_encode($msg);
				break;
			case "progress":
				if(!empty($id)){
					$data['title']="Progress";
					$data['progress']=$this->model->getCustomData('progress.*,training.type as type','progress','left join training on progress.training_id=training.id where student_id="'.$id.'"');
					$data['users']=$this->model->getData('students');
					$data['coloumns']=array(
						'Date',
						'Training',
						'Level',
						'Ansered',
						'Correct',
						'Percentage',
					);
					generatePageView('progress',$data);
					break;
				}else{
					$msg['error']="Refresh the page";
					echo json_encode($msg);
					break;
				}	
				
		}
	}
	public function goals($action="view",$id=""){
		// $arguments=func_get_args();
		// print_r($arguments);
		// die;
		$data['controller']="dashboard";
		$formData=escapeArray($this->input->post());
		$data['active']="goals";
		switch($action){
			case "view":
				$coloumns=array(
					// "ID",
					"Date",
					"Trainging",
					"Count",
					"Percentage",
					"Time",
					"Actions",
				);
				$data['id']=$id;
				$data['title']="Goals Setting";
				$data['coloumns']=$coloumns;
				generatePageView('listview',$data);
				break;
			case "ajax":
			
			$coloumns=array(
				"g.id",
				"g.addedOn",
				"t.type",
				"g.count_goals",
				"g.percentage",
				"g.time",
			);
			$fields=implode(",",$coloumns);
			$sql="select $fields from goals as g left join training as t on g.training_id=t.id where 1=1 ";
			if($id!==""){
				$sql.=" and id=$id";	
			}
			
			// die($sql);
				$sql2=getRecords($sql,$formData,$coloumns);
				$results=$this->db->query($sql2['sql'])->result();
				$values=array();
				foreach($results as &$key){
					$id=$key->id;
					unset($key->id);
					$key->addedOn=cdate($key->addedOn);
					$value=array_values((array)$key);
					// print_r($key);die;
					array_push($value,addGoalActions("goals",$id));
					$values[]=$value;
				}
				$output = array(
					"draw" => $formData['draw'],
					"recordsTotal" => $this->db->query("$sql")->num_rows(),
					"recordsFiltered" => $sql2['countFiltered'],
					"data" => isset($values)?$values:array(),
				);
				echo json_encode($output);
				break;
			case "add":
				$data['title']="Add Goal ";
				if(isset($formData['submit'])){
					unset($formData['submit']);
					// print_r($formData);
					if(validateData("goals",$formData,$id)){
						if($this->model->addData("goals",$formData)){
							$data['msg']="Goal has been set! successfully.";
							$data['return']=true;
						}
						else{
							$data['msg']="Goal is not added successfully.";
							$data['return']=false;
						}
					}
					echo json_encode($data);
					die;
				}
				generatePageView('addgoals',$data);
				break;
			case "edit":
				$data['title']="Update Goals";
				if(isset($formData['submit'])){
					unset($formData['submit']);
					if(validateData("goals",$formData,$id)){
					
						if($this->model->updateData("goals",$id,$formData)){
							$data['msg']="Goal has been updated successfully.";
							$data['return']=true;
						}
						else{
							$data['msg']="Goal is not updated successfully.";
							$data['return']=false;
						}
					}
					else{
							$data['msg']="Goal is not updated successfully.";
							$data['return']=false;
						
							$data['edit']=$formData;
					}
					echo json_encode($data);
					die;
				}
				
				$data['edit']=(array)$this->model->getById("goals",$id);
				generatePageView('addgoals',$data);
				break;
			case "delete":
					if($this->model->updateData("students",$id,array("is_deleted"=>1))){
						$msg['success']="Student is deleted! successfully.";
					}
					else{
						$msg['error']="Student is deleted! successfully";
					}
				echo json_encode($msg);
				break;
			case "progress":
				if(!empty($id)){
					$data['title']="Progress";
					$data['progress']=$this->model->getCustomData('progress.*,training.type as type','progress','left join training on progress.training_id=training.id where student_id="'.$id.'"');
					$data['users']=$this->model->getData('students');
					$data['coloumns']=array(
						'Date',
						'Training',
						'Level',
						'Ansered',
						'Correct',
						'Percentage',
					);
					generatePageView('progress',$data);
					break;
				}else{
					$msg['error']="Refresh the page";
					echo json_encode($msg);
					break;
				}	
				
		}
	}
	public function progress($action="view",$id=""){
		// $arguments=func_get_args();
		// print_r($arguments);
		// die;
		$data['controller']="dashboard";
		$formData=escapeArray($this->input->post());
		$data['active']="progress";
		switch($action){
			case "view":
				$coloumns=array(
					// "ID",
					'Date',
					'Training',
					'Level',
					'Student',
					'School',
					'Answered',
					'Correct',
					'Percentage',
				);
				$data['id']=$id;
				$data['users']=$this->model->getData('students');
				$data['training']=$this->model->getData('training');
				$data['title']="Progress";
				$data['coloumns']=$coloumns;
				generatePageView('listview',$data);
				break;
			case "ajax":
			
			$coloumns=array(
				"p.id",
				"p.addedOn",
				"t.type",
				"p.level",
				"s.name",
				"s.school",
				"p.attempt",
				"p.correct",
				"p.percentage",
			);
			$fields=implode(",",$coloumns);
			$sql="select $fields from progress as p left join training as t on p.training_id=t.id left join students as s on p.student_id=s.id where 1=1 ";
			if($id!==""){
				$sql.=" and id=$id";	
			}
			if($_POST['student_id'] !=='all'){
				$student_id = $_POST['student_id'];
				$sql.=" and p.student_id=$student_id";
			}
			if(  $_POST['training_id'] !=='all'){
				$training_id = $_POST['training_id'];
				
				$sql.=" and p.training_id=$training_id";
			}
			
				$sql2=getRecords($sql,$formData,$coloumns);
				$results=$this->db->query($sql2['sql'])->result();
				$values=array();
				foreach($results as &$key){
					$id=$key->id;
					unset($key->id);
					$key->addedOn=cdate($key->addedOn);
					$key->percentage=percentage($key->percentage);
					$value=array_values((array)$key);
					// print_r($key);die;
					array_push($value,addActions("students",$id));
					$values[]=$value;
				}
				$output = array(
					"draw" => $formData['draw'],
					"recordsTotal" => $this->db->query("$sql")->num_rows(),
					"recordsFiltered" => $sql2['countFiltered'],
					"data" => isset($values)?$values:array(),
				);
				echo json_encode($output);
				break;
			
				
				
		}
	}
	public function marketEmails(){
		$_GET=escapeArray($this->input->get());
		$data['title']="Marketing Emails";
		$data['active']="marketEmails";
		$formData=escapeArray($this->input->post());
		if(isset($formData['submit'])){
			if($formData['type']=="users"){
				$users=$this->model->getData("admin");
				foreach($users as $customer){
					sendEmail($customer->email,$formData['content'],$formData['subject']);
				}
				$msg['success']="Email sent! successfully";
				$data['return']=true;
					
			}
			else if($formData['type']=="specific"){
				if(sendEmail($formData['email'],$formData['content'],$formData['subject'])){
					$msg['success']="Email sent! successfully";
					$data['return']=true;
				}
				else{
					$msg['success']="Email sent! successfully";
					$data['return']=false;
					$data['edit']=$formData;
					
				}
			}
			echo json_encode($data);
			die;
		}
		generatePageView('marketEmails',$data);
	}
	
	public function settings($action="update",$id=null){
		$formData=escapeArray($this->input->post());
		$data['active']="settings";
		$data['controller']="dashboard";
		switch($action){
			case "update":
				$data['title']="Setting";
				if(isset($formData['submit'])){
					$i=0;
					foreach($formData as $name=>$value){
						$i++;
						$this->db->where('name',$name)->update('config', array("value"=>$value));
					}
					if($i>0){
						$data['msg']="Setting has been updated successfully</div>";
						$data['return']=true;
					}
					echo json_encode($data);
					die;
				}
				$data['config']=$this->model->getData("config","where isVisible=1 order by id asc");
				generatePageView('settings',$data);
				break;
		}
	}
	
	
}




